%global toolchain clang

Name:           ugrep
Version:        3.1.11
Release:        1%{?dist}
Summary:        Search for anything in everything... ultra fast

License:        BSD
URL:            https://github.com/Genivia/ugrep
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  clang compiler-rt
BuildRequires:  make
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pcre2-devel
BuildRequires:  boost-devel
# Requires:

%description
A faster, user-friendly and compatible grep replacement.

- Supports all GNU/BSD grep standard options; a compatible replacement for GNU/BSD grep
- Matches Unicode patterns by default in UTF-8, UTF-16, UTF-32 encoded files
- Ultra fast with new match algorithms and features beating grep, ripgrep, silver searcher, ack, sift, etc.
- Written in clean and efficient C++11 for advanced features and speed, thoroughly tested


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%check


%files
%license LICENSE.txt
%doc README.md
%doc %{_mandir}/man1/ug*.1*
%{_bindir}/ugrep
%{_bindir}/ug
%{_datadir}/ugrep


%changelog
* Tue Apr 06 2021 Jaden Pleasants <jadenpleasants@fastmail.com> - 3.1.11-1
- Initial package
